---
name: Contribution proposal
about: Proposal for a larger new feature or enhancement
---

_Please review our [Contribution guide](https://github.com/vmware-clarity/core/blob/main/docs/CONTRIBUTING.md) for more details about how to contribute effectively._

## Summary

_Describe the change or feature in detail. Try to answer the following questions._

- What is the change?
- Why should it go in Clarity?
- Does this change impact existing behaviors? If so how?
- If this change introduces a new behavior, is this behavior accessible?

## Use case

_Provide some specific details about how this change would improve your application and use case._

## Examples

_If possible, show examples of the change. You may create one yourself, or link to external sites that have the idea. It can also be very useful to prototype the idea in isolation outside of Clarity with a [Stackblitz example](https://stackblitz.com/@clr-team)._

## API

_Describe the intended API for the feature you want to add. This would include:_

- CSS classes and DOM structure for pure static UI contribution, and inputs/outputs, components, directives, services, or anything that is exported publicly for Angular contributions.
- Examples of code snippets using this new feature.
- Note very clearly if anything **might** be a breaking change.

_In the case of bug fixes or internal changes, there will most likely be no API changes._

## Implementation plan

_Describe how you plan to implement the feature, answering questions among the following or anything else you deem relevant._

- What parts of the code are affected?
- Will you introduce new services, components or directives?
- Can you describe the basic flow of information between classes?
- Does this introduce asynchronous behaviors?
- Will you need to refactor existing Clarity code?
- Will reasonable performance require optimizations?
- Will it need to access native elements (and be incompatible with server-side rendering)?
- ...

## Conclusion

_Describe how long you expect it to take to implement, what help you might need, and any other details that might be helpful. Don't worry, this is obviously non-contractual. 😛_
